# Created by pyp2rpm-3.3.8
%global pypi_name httpx-ntlm
%global pypi_version 1.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        This package allows for HTTP NTLM authentication using the HTTPX library
Group:          Development/Python
License:        ISC
URL:            https://github.com/ulodciv/httpx-ntlm
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/httpx_ntlm-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
httpx-ntlm This package allows for HTTP NTLM authentication using the HTTPX
library. It is an adaptation of HttpNtlmAuth extends HTTPX Auth base class, so
usage is simple:.. code:: python import httpx from httpx_ntlm import
HttpNtlmAuth
httpx.get("",authHttpNtlmAuth('domain\\username','password'))HttpNtlmAuth can
be used in conjunction with a Client in order to make use of connection
pooling....

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(httpx) >= 0.24
Requires:       python3dist(pyspnego) >= 0.3
%description -n python3-%{pypi_name}
httpx-ntlm This package allows for HTTP NTLM authentication using the HTTPX
library. It is an adaptation of HttpNtlmAuth extends HTTPX Auth base class, so
usage is simple:.. code:: python import httpx from httpx_ntlm import
HttpNtlmAuth
httpx.get("",authHttpNtlmAuth('domain\\username','password'))HttpNtlmAuth can
be used in conjunction with a Client in order to make use of connection
pooling....


%prep
%autosetup -n httpx_ntlm-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/httpx_ntlm
%{python3_sitelib}/httpx_ntlm-%{pypi_version}-py%{python3_version}.egg-info

